include mixins

doctype html
html(lang="en")
    +head
    body.text-center
        .cover-container.d-flex.w-100.h-100.p-3.mx-auto.flex-column  
            +navbar('notas')
            - var error = error
            +error(error)
            - var notas = notas
            .row
                each note in notas
                    .col-md-6
                        .card.border-dark.mb-3.bg-dark.text-white(style='max-width: 20rem;')
                            .card-header.d-flex.justify-content-between.align-items-center
                                .text-white= 'Por: ' + note.user
                                a(href=`/editNote/${note._id}`)
                                    svg(style='width:32px;height:32px' viewbox='0 0 24 24')
                                        path(fill='white' d='M20 2H4C2.89 2 2 2.89 2 4V16C2 17.11 2.9 18 4 18H8V21C8 21.55 8.45 22 9 22H9.5C9.75 22 10 21.9 10.2 21.71L13.9 18H20C21.1 18 22 17.1 22 16V4C22 2.89 21.1 2 20 2M9.08 15H7V12.91L13.17 6.72L15.24 8.8L9.08 15M16.84 7.2L15.83 8.21L13.76 6.18L14.77 5.16C14.97 4.95 15.31 4.94 15.55 5.16L16.84 6.41C17.05 6.62 17.06 6.96 16.84 7.2Z')
                            .card-body
                                h4.card-title= note.title
                                p.card-text= note.description
                                form(action=`/deleteNota/${note._id}?_method=DELETE` method='POST')
                                    input(type='hidden' name='_method' value='DELETE')
                                    button.btn.btn-danger(type='submit') Eliminar Nota
                                    
            button.btn.btn-lg.btn-secondary(type='button' data-toggle='modal' data-target='#staticBackdrop')
                | Añadir nota
            // Modal
            #staticBackdrop.modal.fade(data-backdrop='static' data-keyboard='false' tabindex='-1' role='dialog' aria-labelledby='staticBackdropLabel' aria-hidden='true')
                .modal-dialog
                    .modal-content.bg-secondary
                        .modal-header
                            h5#staticBackdropLabel.modal-title.text-primary Nueva nota
                            button.close(type='button' data-dismiss='modal' aria-label='Close')
                                span(aria-hidden='true') &times;
                        form.needs-validation.form-signin(method='POST' action='/newNota')
                            .modal-body
                                label.text-dark(for='title') Titulo:
                                input#title.form-control(type='text' name='titulo' required='' )
                                hr
                                label.text-dark(for='desc') Descripción:
                                input#desc.form-control(type='text' name='descripcion' required='' )
                                hr
                                - var values= usersName
                                label.text-dark(for='aaa') Usuario:
                                select#aaa.form-control(name='user')
                                    option Anonimo
                                    each val in values
                                        option= val.nombre

                                hr
                            .modal-footer
                                button.btn.btn-outline-danger(type='button' data-dismiss='modal') Cancelar
                                button.btn.btn-outline-success(type='submit') Crear nota

            +footer
        
